﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Telerik.WinControls.RichTextBox.FileFormats.OpenXml.Docx;
using Telerik.WinControls.RichTextBox.FormatProviders;
using Telerik.WinControls.RichTextBox.Model;

namespace _690898
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);
            ImportDocx(@"..\..\test.docx");

        }

        public void ImportDocx(string filename)
        {
            RadDocument document = null;
            IDocumentFormatProvider provider = new DocxFormatProvider();
            using (FileStream stream = new FileStream(filename, FileMode.Open))
            {
                document = provider.Import(stream);
            }
            radRichTextBox1.Document = document;
           // BookmarkRangeStart bookmarkRangeStart = document.GetBookmarkByName("Test1");
            document.GoToBookmark("test1");
        }
    }
}
